<?php
namespace Newland\Toubiz\Sync\Neos\Routing;

use Neos\Flow\Mvc\Routing\AbstractRoutePart;
use Neos\Flow\Mvc\Routing\Dto\MatchResult;
use Neos\Flow\Mvc\Routing\DynamicRoutePartInterface;

class MatchesFullStringRoutePartHandler extends AbstractRoutePart implements DynamicRoutePartInterface
{

    public function match(&$routePath)
    {
        $pathBefore = $routePath;
        $routePath = '';
        return new MatchResult($pathBefore);
    }

    public function setSplitString($splitString)
    {
        // Nothing happens.
    }

    public function resolve(array &$routeValues)
    {
        return false;
    }
}
